Bug 58601 - Formal spec for launchd
Summary: Formal spec for launchd
Status: RESOLVED MOVED
Alias: None
Product: dbus
Classification: Unclassified
Component: core (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: D-Bus Maintainers
QA Contact: D-Bus Maintainers
URL:
Whiteboard:
Keywords: love, NEEDINFO
Depends on:
Blocks:
 
Reported: 2012-12-21 05:30 UTC by Daniel Macks
Modified: 2018-10-12 21:15 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Macks 2012-12-21 05:30:11 UTC
Bug #14259 was closed when launchd support got committed (yay thank you!!!). However, the underlying methodology it uses was never added to the formal dbus spec. So I'm raising Comment #87 from there here as a specific request: please document it.

In particular, there's a glib feature-request waiting for it, whose
https://bugzilla.gnome.org/show_bug.cgi?id=690523 notes:

>We need to get it into the spec in the "Well-known
>Message Bus Instances" chapter, this one
>
> http://dbus.freedesktop.org/doc/dbus-specification.html#message-bus-types
>
>E.g. the same way there's an "X Windowing System" chapter explaining what atoms
>to look at (the stuff involving _DBUS_SESSION_BUS_SELECTION_), there needs to
>be a "Max OS X" chapter explaining exactly how to get the address.
Comment 1 Simon McVittie 2016-09-23 13:37:28 UTC
The D-Bus maintainers are unlikely to document a Mac-specific transport, because none of us are Mac users.

If you understand this transport, please document it.
Comment 2 GitLab Migration User 2018-10-12 21:15:15 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/dbus/dbus/issues/75.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.